# Class: NonEmptyConstructorNeedsParens

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/non_empty_constructor_needs_parens.coffee
Inherits: | ParentClass

## Variables Summary

rule =

      {
        name: 'non_empty_constructor_needs_parens',
        level: 'ignore',
        message: 'Invoking a constructor without parens and with arguments',
        description: "Requires constructors with parameters to include the parens"
      }

## Instance Method Summary

- # (void) handleExpectedCallStart(expectedCallStart)

## Instance Method Details

# (void) handleExpectedCallStart(expectedCallStart)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input